View Issue Details

IDProjectCategoryView StatusLast Update
0002879VALENTINA SERVERMaster databasepublic2015-01-20 20:30
ReporterCharles YeomansAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2 
Target Version6.0Fixed in Version6.0 
Summary0002879: Master database uses field names that are Valentina SQL keywords
DescriptionSome field names in master db are SQL keywords. One example is sysevents.action. While one can still write queries (SELECT * FROM sysevent WHERE 'action'='foo', for example), it might be a good idea to change the field names (fld_action, for example).
TagsNo tags attached.

Activities

Ivan Smahin

Ivan Smahin

2007-12-03 12:41

manager   ~0003013

It can not be common practise to revise "old" code choosing new keyword. There is no problem even if some word becomes keyword.

There is wide-used and recommended approach:
.. WHERE "action"='foo' ...
.. WHERE [action]='foo' ...

It is the only way to guarantee that your quries will work in the future.
Charles Yeomans

Charles Yeomans

2007-12-03 13:19

reporter   ~0003014

Yes. I used this approach. But as Ruslan wrote to the mailing list,

I again want repeat this TIP:

    * name tables as tblName
    * name fields as fldName

Save sometimes a lots of time :)

Issue History

Date Modified Username Field Change
2007-12-01 10:17 Charles Yeomans New Issue
2007-12-03 12:41 Ivan Smahin Note Added: 0003013
2007-12-03 13:19 Charles Yeomans Note Added: 0003014
2013-12-15 16:37 Ruslan Zasukhin Target Version => 6.0
2014-02-14 10:35 Ruslan Zasukhin Target Version 6.0 => 7.0
2014-08-05 11:32 Ruslan Zasukhin Target Version 7.0 => TODO_BUGS
2014-11-25 15:08 Ivan Smahin Target Version TODO_BUGS => 7.0
2014-11-25 15:10 Ivan Smahin Status new => resolved
2014-11-25 15:10 Ivan Smahin Fixed in Version => 7.0
2014-11-25 15:10 Ivan Smahin Resolution open => fixed
2014-11-25 15:10 Ivan Smahin Assigned To => Ivan Smahin
2015-01-20 20:30 Ruslan Zasukhin Fixed in Version 7.0 => 6.0
2015-01-20 20:30 Ruslan Zasukhin Target Version 7.0 => 6.0